Skip to main content
GET
/
v2
/
payment
/
bankaccount
List all Bank Accounts
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v2/payment/bankaccount \
  --header 'x-auth-token: <api-key>' \
  --header 'x-idempotency-key: <x-idempotency-key>'
{
  "total_pages": 10,
  "total_items": 105,
  "data": [
    {
      "account_number": "GB71950018692652646598",
      "bank_name": "DBS Bank",
      "swift_code": "DBSSSGSG",
      "bank_country_code": "SG",
      "bank_address": "12 Marina Boulevard, Singapore 018982",
      "bank_code_type": "aba",
      "bank_code_value": "021000021",
      "bank_branch_code": "00001",
      "id": "a7b92a19-bfc3-4c8b-8a4f-cfcf74cab345",
      "account_name": "UQPAY PTE. LTD.",
      "currency": "SGD",
      "account_status": "Valid"
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

x-idempotency-key
string<uuid>
required

A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.

Query Parameters

page_number
integer
required

The page number to retrieve the next set of items. The number has to be greater than 1.

Required range: x >= 1
Example:

1

page_size
integer
required

The maximum number of items to return per page. This number can be between 1 - 100

Required range: 1 <= x <= 100
Example:

10

Response

List of bank accounts retrieved successfully

total_pages
integer
required

The total pages of available items.

Example:

10

total_items
integer
required

The total counts of available items.

Example:

105

data
object[]
required

List of bank account records.